Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model.dlna.types
Class NormalPlayTime

    java.lang.Object
      org.fourthline.cling.support.model.dlna.types.NormalPlayTime

    public class NormalPlayTime

extends Object

Author:
  Mario Franco

Nested Class Summary
`static class` | `NormalPlayTime.Format`

Constructor Summary
`NormalPlayTime(long milliseconds)`
`NormalPlayTime(long hours, long minutes, long seconds, long milliseconds)`

Method Summary
`long` | `getMilliseconds()`
`String` | `getString()`
`String` | `getString(NormalPlayTime.Format format)` We don't ignore the right zeros in milliseconds, a small compromise
`void` | `setMilliseconds(long milliseconds)`
`static NormalPlayTime` | `valueOf(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalPlayTime

    public NormalPlayTime(long milliseconds)

### NormalPlayTime

    public NormalPlayTime(long hours,
                          long minutes,
                          long seconds,
                          long milliseconds)
                   throws InvalidValueException

Throws:
  `InvalidValueException`

Method Detail

### getMilliseconds

    public long getMilliseconds()

  Returns:
    the milliseconds

### setMilliseconds

    public void setMilliseconds(long milliseconds)

  Parameters:
    `milliseconds` - the milliseconds to set

### getString

    public String getString()

### getString

    public String getString(NormalPlayTime.Format format)

  We don't ignore the right zeros in milliseconds, a small compromise

  Parameters:
    `format` -

### valueOf

    public static NormalPlayTime valueOf(String s)
                                  throws InvalidValueException

  Throws:
    `InvalidValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.